# draugr.drawers.mpl_drawers.spectral.fast_fourier_transform_spectrogram.FastFourierTransformSpectrogramPlot — Draugr 1.0.1 documentation

# draugr.drawers.mpl_drawers.spectral.fast_fourier_transform_spectrogram.FastFourierTransformSpectrogramPlot

class draugr.drawers.mpl_drawers.spectral.fast_fourier_transform_spectrogram.FastFourierTransformSpectrogramPlot(n_fft: int = 64, sampling_rate=2000, buffer_size_sec: float = 1.0, title: str = '', vertical: bool = True, reverse: bool = False, figure_size=(9, 9), cmap='viridis', render: bool = True, **kwargs)

  Bases: `MplDrawer`

  TODO: CENTER Align fft maybe, to mimick librosa stft Short Time Fourier Transform (STFT), with step size of 1 and window lenght of n_fft, and no window function ( TODO: Hanning Smoothing)

  __init__(n_fft: int = 64, sampling_rate=2000, buffer_size_sec: float = 1.0, title: str = '', vertical: bool = True, reverse: bool = False, figure_size=(9, 9), cmap='viridis', render: bool = True, **kwargs)
    Parameters

      - n_fft –

      - sampling_rate –

      - buffer_size_sec –

      - title –

      - vertical –

      - reverse –

      - placement –

      - fig_size –

      - render –

  Methods

  `__init__`([n_fft, sampling_rate, ...])

  param n_fft

  `close`() | description
  `draw`(data[, delta]) | description
  `move_figure`(figure[, x, y]) | Move figure's upper left corner to pixel (x, y)

  Attributes

  close()

    description

  draw(data: Any, delta: Optional [ float ] = None)

    description

  static move_figure(figure: Figure, x: int = 0, y: int = 0)

    Move figure’s upper left corner to pixel (x, y)

  n

    fig_manager = pyplot.get_current_fig_manager() geom = fig_manager.window.geometry() x, y, dx, dy = geom.getRect() fig_manager.window.setGeometry(*placement, dx, dy) fig_manager.window.SetPosition((500, 0))